APIPortal
List portal instances
List the workspace's portal instances. The Main (Root) portal is implicit and represented elsewhere as a null portal_instance_id. Requires the portal:read scope.
GET
/portal/instancescurl -X GET "https://productlane.com/api/v2/portal/instances" \
-H "Authorization: Bearer $PRODUCTLANE_API_KEY"Authorization
AuthorizationstringheaderrequiredBearer authentication header of the form
Bearer <token>, where<token>is your auth token.
Response
application/json
Successful response
dataobject[]required
{
"data": [
{
"id": "string",
"slug": "string",
"name": "string",
"is_default": true,
"show_in_selector": true,
"logo_url": "string",
"custom_domain": "string",
"show_docs": true,
"show_changelog": true,
"show_roadmap": true,
"show_support": true,
"overrides_auth": true,
"is_google_auth_required": true,
"google_domain": "string",
"overrides_custom_links": true,
"use_portal_logo_url": true,
"portal_logo_url": "string",
"changelog_link_1_description": "string",
"changelog_link_1_url": "string",
"changelog_link_2_description": "string",
"changelog_link_2_url": "string",
"overrides_theme": true,
"dark_mode": true,
"accent_color": "string",
"accent_text_color": "string",
"button_text_color": "string",
"dark_mode_accent_color": "string",
"dark_mode_accent_text_color": "string",
"dark_mode_button_text_color": "string",
"portal_embed_image_url": "string",
"created_at": "string",
"updated_at": "string"
}
]
}